﻿@using Portal.Models;
@using System.Web.Mvc;
@using System.Web.UI.WebControls;
@using System.Data;
@using Portal.Controllers;
@using Portal.Models.InvoiceCreation;
@model Toyota.Common.Web.MVC.ModelHolder
@{
    Layout = "~/Views/Layout/Dashboard.cshtml";
}
@section StartupScript {
var supp_cd = '@TempData["SupplierCode"]';
if (supp_cd == null)
    OIHSupplierOption.SetEnabled(false);

UploadInProgressCheck(null, null, null);

$("#downloadErrorLink").click(function() {
    $('#DownloadErrorDiv').hide();
});
delayedSearch(1);
$.ajax({
    url: getActMethodUrl("GetCoilSupplierCode")
    , success : function (ret) {
        CoilSupplier = ret; 
    }
})

}
@section Script
{
var CoilSupplier = '';
var SupplierCode = '@TempData["SupplierCode"]';
var ListKeys = new Array();
var ListManifest = new Array();
var ListTotalAmount = new Array();
var ListInvoice = new Array();
var ListDocumentDate = new Array();

var currentManifestNo;
var invoices = "";
var Manifests = "";
var InvoiceManifests = "";
var selectedInvoice = "";
var DocumentDate = "";

var icTurnOver = "";
var icTaxAmount = "";
var icTaxDt = "";
var icRetroAmount = "";
var icTotalAmount = ""
var icTotalManifest = "";

var icRetroRemaining = "";
var icRetroDocNo = "";
var icStampAmount = 0;
var icCurrency = "";
var icTaxNo = "";
var Statuses = "";
var LockRef = "";
var CmdText = "";
var CheckedManifest = "0";
var icDocDate = "";
var DataManifest = "";

var dockCode = "";
var rcvPlantCode = "";
var manifestNo = "";
var PPh23TaxRate = null;

var __base =  @Html.Raw(HttpUtility.JavaScriptStringEncode(
                new Uri(
                   new Uri(this.Context.Request.Url.GetLeftPart(UriPartial.Authority)),
                   Url.Content("~/")
               ).ToString(), true));
var __mew = window.location.href.split("/")[0]; 
var __meb = __base.split("/")[0];
if (__mew !== __meb) 
    __base = __base.replace(__meb, __mew); 
     
}

@section ScriptReferences{
<script src="@Url.Content("~/Content/js/InvoiceCreation.js")" type="text/javascript"></script>
}


@section StyleReferences{
<link href="@Url.Content("~/Content/Style/InvoiceCreation.css")" rel="stylesheet" type="text/css"/>
}

<table id="ichead" cellpadding="0" cellspacing="0">
    <tr>
        <td class="celltop icseach">
            @Html.DevExpress().RoundPanel(
        settings =>
        {
            settings.Name = "frmHeader";
            settings.HeaderText = "";
            settings.ShowHeader = false;
            settings.View = DevExpress.Web.ASPxRoundPanel.View.GroupBox;
            settings.Width = Unit.Percentage(100);

            settings.SetContent(() =>
            {
                Html.RenderPartial("HeaderInvoiceCreation");
            });
        }).GetHtml()
        </td>
        <td class="celltop">
            <div class="filler">
                &nbsp;
            </div>
        </td>
        <td class="celltop iccell">
            <div class="selInvoiceWrap">
                <div id="UploadProgressDiv" class="selProgress selInvoiceWrap">
                    <div id="ProgressDivText" class="innerUploadDiv">
                        Verification in progress
                    </div>
                </div>

                <div id="DownloadErrorDiv" class="selProgress selInvoiceWrap">
                    <div class="innerUploadDiv">
                        <a ID="downloadErrorLink" href="@Url.Content("~/InvoiceCreation/DownloadError")">Download Error</a>
                    </div>
                </div>

            </div>
            <div class="filler" style="display: block; float: top; clear: both; width: 100%;">
                &nbsp;
            </div>
            <div class="selInvoiceWrap selManTot">
                <div class="selectedManifest">
                    <div class="selLabel">
                        Selected Manifest:
                    </div>
                    <div class="selNum" id="totalManifest">
                        &nbsp;0
                    </div>
                </div>
                <div class="selectedManifest">
                    <div class="selTotLabel">
                        Total Amount:
                    </div>
                    <div class="selTotNum" id="totalAmountStores">
                        &nbsp;0
                    </div>
                </div>
            </div>
        </td>
    </tr>
</table>
<div style="float: right; display: none;">
    Selected Manifest:&nbsp;<strong id="totalManifest">0</strong> Total Amount:&nbsp;<strong id="totalAmountStores">0</strong>
</div>
<div style="padding-top: 10px;">
    @Html.Partial("InvoiceCreationPartial", Model)
</div>
@Html.DevExpress().PopupControl(settings =>
{
    settings.Name = "popupDetail";

    settings.Width = Unit.Pixel(775);
    settings.Height = System.Web.UI.WebControls.Unit.Percentage(100);
    settings.Modal = true;
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.CloseAction = CloseAction.CloseButton;
    //settings.DragElement = DragElement.Window;
    //settings.ShowHeader = false;

    settings.HeaderText = "";
    settings.SetContent(() =>
    {
        Html.RenderPartial("PartialInvoiceCreationDetail", Model);
    });
}).GetHtml()
@Html.DevExpress().PopupControl(settings =>
{
    settings.Name = "popupInvoicePreview";
    settings.HeaderText = "Invoice Preview";
    settings.Width = System.Web.UI.WebControls.Unit.Pixel(800);
    settings.Height = System.Web.UI.WebControls.Unit.Percentage(100);
    settings.Modal = true;
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.CloseAction = CloseAction.CloseButton;
    //settings.ClientSideEvents.CloseUp = "popupPreviewCloseUp";
    //settings.ClientSideEvents.Closing = "OnpopupInvoicePreviewClosing";
    settings.SetContent(() =>
    {
        Html.RenderPartial("PopupInvoicePreviewPartial", Model);
    });
}).GetHtml()
@Html.DevExpress().PopupControl(settings =>
{
    settings.Name = "popupInvoiceReport";
    settings.HeaderText = "Invoice Report";
    settings.Width = System.Web.UI.WebControls.Unit.Pixel(320);
    settings.Height = System.Web.UI.WebControls.Unit.Pixel(200);
    settings.ScrollBars = ScrollBars.Auto;
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.Modal = true;
    settings.CloseAction = CloseAction.CloseButton;
    settings.ShowPageScrollbarWhenModal = true;
    settings.SetContent(() =>
    {
        ViewContext.Writer.Write("<table cellpadding=\"2\" width=\"100%\" border=\"0\" style=\"padding-top:16px; padding-left:16px; padding-right:16px;\">");
        ViewContext.Writer.Write("<tr style=\"height:100%;text-align:center\">");
        ViewContext.Writer.Write("<td class=\"thColumn\">");
        Html.DevExpress().Label(
            edtSettings =>
            {
                edtSettings.Name = "OutstandingAsOfLabel";
                edtSettings.EncodeHtml = false;
                edtSettings.Text = "Outstanding as of";
                edtSettings.ControlStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
                edtSettings.ControlStyle.Wrap = DefaultBoolean.True;
                edtSettings.ControlStyle.Font.Bold = true;
            }).GetHtml();
        ViewContext.Writer.Write("</td>");
        ViewContext.Writer.Write("<td class=\"thColumn\">");
        Html.DevExpress().DateEdit(
            edtSettings =>
            {
                edtSettings.Name = "dtmOutstandingAsOf";
                edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                edtSettings.Width = Unit.Pixel(90);
                edtSettings.Properties.EditFormat = EditFormat.Custom;
                edtSettings.Properties.DisplayFormatString = "dd.MM.yyyy";
                edtSettings.Properties.EditFormatString = "dd.MM.yyyy";
            }
        ).GetHtml();
        ViewContext.Writer.Write("</td></tr></table>");
        ViewContext.Writer.Write("<table cellpadding=\"2\" width=\"100%\" border=\"0\" style=\"padding-top:16px; padding-left:16px; padding-right:16px;\">");
        ViewContext.Writer.Write("<tr style=\"text-align:center;\"><td style=\"padding-left:20px\" align = \"right\">");
        Html.DevExpress().Button(
         setting =>
         {
             setting.Name = "btnReportSummary";
             setting.Text = "Summary";
             setting.Width = Unit.Pixel(80);
             setting.ClientSideEvents.Click = "btnReportSummaryClick";
         }
         ).GetHtml();
        ViewContext.Writer.Write("</td>");
        ViewContext.Writer.Write("<td align = \"left\">");
        Html.DevExpress().Button(
         setting =>
         {
             setting.Name = "btnReportDetail";
             setting.Text = "Detail";
             setting.Width = Unit.Pixel(80);
             setting.ClientSideEvents.Click = "btnReportDetailClick";
         }
         ).GetHtml();
        ViewContext.Writer.Write("</td>");
        ViewContext.Writer.Write("</tr></table>");
    });
}).GetHtml()
@Html.DevExpress().PopupControl(
    settings =>
    {
        settings.Name = "popupProgress";
        settings.ShowHeader = false;
        settings.Width = System.Web.UI.WebControls.Unit.Pixel(300);
        settings.Height = System.Web.UI.WebControls.Unit.Pixel(150);
        settings.ScrollBars = ScrollBars.Auto;
        settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
        settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
        settings.Modal = true;
        settings.CloseAction = CloseAction.CloseButton;
        settings.ShowPageScrollbarWhenModal = true;
        settings.SetContent(() =>
        {
            ViewContext.Writer.Write("<table cellpadding=\"2\" width=\"100%\" border=\"0\" style=\"padding-top:16px; padding-left:16px; padding-right:16px;\">");
            ViewContext.Writer.Write("<tr style=\"height:100%;text-align:center\">");
            ViewContext.Writer.Write("<td colspan=\"3\" class=\"thColumn\">");
            Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.Name = "DOMessageLabel";
                    edtSettings.EncodeHtml = false;
                    edtSettings.Text = "Download in progress<br />Please wait...";
                    edtSettings.ControlStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.True;
                    edtSettings.ControlStyle.Font.Bold = true;
                }).GetHtml();
            ViewContext.Writer.Write("</td></tr>");
            ViewContext.Writer.Write("<tr style=\"height:15px\"></tr>");
            ViewContext.Writer.Write("<tr><td align = \"center\" style=\"text-align:center;\">");
            Html.DevExpress().Image(
                setting =>
                {
                    setting.Name = "DOProgressImage";
                    setting.ImageUrl = "~/Content/Images/LoadingImage.gif";
                }).GetHtml();
            ViewContext.Writer.Write("</td>");
            ViewContext.Writer.Write("</tr></table>");
        });
    }).GetHtml()
@Html.DevExpress().PopupControl(
    settings =>
    {
        settings.Name = "popupLoadingData";
        settings.ShowHeader = false;
        settings.Width = System.Web.UI.WebControls.Unit.Pixel(300);
        settings.Height = System.Web.UI.WebControls.Unit.Pixel(150);
        settings.ScrollBars = ScrollBars.Auto;
        settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
        settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
        settings.Modal = true;
        settings.CloseAction = CloseAction.CloseButton;
        settings.ShowPageScrollbarWhenModal = true;
        settings.SetContent(() =>
        {
            ViewContext.Writer.Write("<table cellpadding=\"2\" width=\"100%\" border=\"0\" style=\"padding-top:16px; padding-left:16px; padding-right:16px;\">");
            ViewContext.Writer.Write("<tr style=\"height:100%;text-align:center\">");
            ViewContext.Writer.Write("<td colspan=\"3\" class=\"thColumn\">");
            Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.Name = "LDMessageLabel";
                    edtSettings.EncodeHtml = false;
                    edtSettings.Text = "Load Data in progress<br />Please wait...";
                    edtSettings.ControlStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.True;
                    edtSettings.ControlStyle.Font.Bold = true;
                }).GetHtml();
            ViewContext.Writer.Write("</td></tr>");
            ViewContext.Writer.Write("<tr style=\"height:15px\"></tr>");
            ViewContext.Writer.Write("<tr><td align = \"center\" style=\"text-align:center;\">");
            Html.DevExpress().Image(
                setting =>
                {
                    setting.Name = "LDProgressImage";
                    setting.ImageUrl = "~/Content/Images/LoadingImage.gif";
                }).GetHtml();
            ViewContext.Writer.Write("</td>");
            ViewContext.Writer.Write("</tr></table>");
        });
    }).GetHtml()

@Html.DevExpress().LoadingPanel(
    settings =>
    {
        settings.Name = "LoadingPanel";
        settings.Modal = true;
    }).GetHtml()

@Html.DevExpress().PopupControl(settings =>
{
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.Name = "PopupCheckManifest";
    //settings.CallbackRouteValues = new { Controller = "InvoiceCreation", Action = "PopupCheckManifest" };
    settings.HeaderText = "Check Manifest";
    settings.Width = System.Web.UI.WebControls.Unit.Pixel(1300);
    settings.Height = System.Web.UI.WebControls.Unit.Pixel(400);
    // settings.ClientSideEvents.BeginCallback = "OnGoodsReceiptInquiryPopupBeginCallback";
    // settings.ClientSideEvents.Closing = "OnGoodsReceiptInquiryPopupClosing";
    settings.SetContent(() =>
    {
        Html.RenderPartial("PopupCheckManifest", null);
    });
}).GetHtml()
@Html.DevExpress().PopupControl(settings =>
{
    settings.Name = "GoodsReceiptInquiryManifestDetailPopupErrorPosting";
    //settings.HeaderText = "Detail Error Manifest No. ";
    settings.CallbackRouteValues = new { Controller = "InvoiceCreation", Action = "PartialPopupGoodsReceiptInquiryManifestDetailErrorPosting" };
    // settings.Width = System.Web.UI.WebControls.Unit.Percentage(100);
    settings.Width = System.Web.UI.WebControls.Unit.Percentage(40);
    settings.Height = System.Web.UI.WebControls.Unit.Percentage(50);
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.Modal = true;
    settings.CloseAction = CloseAction.CloseButton;
    settings.ControlStyle.BackColor = System.Drawing.Color.Transparent;
    settings.ShowPageScrollbarWhenModal = true;

    settings.ClientSideEvents.BeginCallback = "OnGoodsReceiptInquiryPopupBeginCallback";
    settings.ClientSideEvents.Closing = "OnGoodsReceiptInquiryPopupClosing";
    settings.ClientSideEvents.Shown = "OnGoodsReceiptInquiryManifestDetailPopupShownError";

    settings.SetContent(() =>
    {
        Html.RenderAction("PartialPopupGoodsReceiptInquiryManifestDetailErrorPosting", "InvoiceCreation");
    });
}).GetHtml()

<div id="errorDownloadContainer">
</div>
